Bug 1197930 - [abrt] mail-notification: mn_shell_unix_quit_signal_watch_cb(): mail-notification killed by SIGSEGV
Summary: [abrt] mail-notification: mn_shell_unix_quit_signal_watch_cb(): mail-notifica...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: mail-notification
Version: 21
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dmitry Butskoy
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:2a190ea3a84c2ee8fdcf155721c...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-03 01:03 UTC by hlx98007
Modified: 2015-12-02 17:34 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-02 09:39:18 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (54.20 KB, text/plain)
2015-03-03 01:03 UTC, hlx98007
no flags Details
File: cgroup (190 bytes, text/plain)
2015-03-03 01:03 UTC, hlx98007
no flags Details
File: core_backtrace (22.24 KB, text/plain)
2015-03-03 01:03 UTC, hlx98007
no flags Details
File: dso_list (11.82 KB, text/plain)
2015-03-03 01:03 UTC, hlx98007
no flags Details
File: environ (1.46 KB, text/plain)
2015-03-03 01:03 UTC, hlx98007
no flags Details
File: exploitable (82 bytes, text/plain)
2015-03-03 01:03 UTC, hlx98007
no flags Details
File: limits (1.29 KB, text/plain)
2015-03-03 01:03 UTC, hlx98007
no flags Details
File: maps (58.30 KB, text/plain)
2015-03-03 01:03 UTC, hlx98007
no flags Details
File: open_fds (1.05 KB, text/plain)
2015-03-03 01:03 UTC, hlx98007
no flags Details
File: proc_pid_status (951 bytes, text/plain)
2015-03-03 01:03 UTC, hlx98007
no flags Details
File: var_log_messages (348 bytes, text/plain)
2015-03-03 01:03 UTC, hlx98007
no flags Details

Description hlx98007 2015-03-03 01:03:17 UTC
Description of problem:
When disconnected from the internet, update the mail-notification status. As expected, the error icon would be updated but still presented in the tray. Then connect to the internet and update the status, this error would appear.

Version-Release number of selected component:
mail-notification-5.4-82.git.eab5c13.fc21

Additional info:
reporter:       libreport-2.3.0
backtrace_rating: 4
cmdline:        mail-notification
crash_function: mn_shell_unix_quit_signal_watch_cb
executable:     /usr/bin/mail-notification
kernel:         3.18.7-200.fc21.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (2 frames)
 #0 mn_shell_unix_quit_signal_watch_cb at src/mn-shell.gob:290
 #5 gtk_main at gtkmain.c:1207

Potential duplicate: bug 971034

Comment 1 hlx98007 2015-03-03 01:03:23 UTC
Created attachment 997281 [details]
File: backtrace

Comment 2 hlx98007 2015-03-03 01:03:23 UTC
Created attachment 997282 [details]
File: cgroup

Comment 3 hlx98007 2015-03-03 01:03:25 UTC
Created attachment 997283 [details]
File: core_backtrace

Comment 4 hlx98007 2015-03-03 01:03:26 UTC
Created attachment 997284 [details]
File: dso_list

Comment 5 hlx98007 2015-03-03 01:03:27 UTC
Created attachment 997285 [details]
File: environ

Comment 6 hlx98007 2015-03-03 01:03:28 UTC
Created attachment 997286 [details]
File: exploitable

Comment 7 hlx98007 2015-03-03 01:03:29 UTC
Created attachment 997287 [details]
File: limits

Comment 8 hlx98007 2015-03-03 01:03:30 UTC
Created attachment 997288 [details]
File: maps

Comment 9 hlx98007 2015-03-03 01:03:31 UTC
Created attachment 997289 [details]
File: open_fds

Comment 10 hlx98007 2015-03-03 01:03:32 UTC
Created attachment 997290 [details]
File: proc_pid_status

Comment 11 hlx98007 2015-03-03 01:03:32 UTC
Created attachment 997291 [details]
File: var_log_messages

Comment 12 Fedora End Of Life 2015-11-04 13:22:07 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 13 Fedora End Of Life 2015-12-02 09:39:20 UTC
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.